PHP ��U
前一頁 |  | 下一頁

# is_soap_fault

(PHP 5)

is_soap_fault -- Checks if SOAP call was failed

## Description

bool is_soap_fault ( mixed obj )

This function is useful when you like to check if the SOAP call failed, but don't like to use exceptions. To use it you must create a SoapClient object with the exceptions option set to zero or `FALSE`. In this case, the SOAP method will return a special SoapFault object which encapsulates the fault details (faultcode, faultstring, faultactor and faultdetails).

If exceptions is not set then SOAP call will throw an exception on error. is_soap_fault() checks if the given parameter is a SoapFault object.

## Parameters

obj

  The tested object.

## Return Values

�\�^��`TRUE`�Ѧ^��`FALSE`�C

## �d��

範例 1. is_soap_fault() example

`<?php $client = new SoapClient("some.wsdl", array('exceptions' => 0)); $result = $client->SomeFunction(); if (is_soap_fault($result)) { trigger_error("SOAP Fault: (faultcode: {$result->faultcode}, faultstring: {$result->faultstring})", E_ERROR); } ?>`

範例 2. SOAP's standard method for error reporting is exceptions

`<?php try { $client = new SoapClient("some.wsdl"); $result = $client->SomeFunction(/* ... */); } catch (SoapFault $fault) { trigger_error("SOAP Fault: (faultcode: {$fault->faultcode}, faultstring: {$fault->faultstring})", E_ERROR); } ?>`

## �Ѧ�

SoapClient->__construct()
SoapFault->__construct()

前一頁 | 內容 | 下一頁
SOAP Functions | 上一層 | SoapClient->__call()